Bug 55853 - kdm does not remember users previous session
kdm does not remember users previous session
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-07 14:18 EST by Peter Fales
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 16:21:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Fales 2001-11-07 14:18:35 EST
Description of Problem:

User selects a session type (say kde) and logs in.  From that point on, the
"previous" session
always shows up as kde, even if a different session is selected.

How Reproducible:

Consistently reproducible.

Steps to Reproduce:
1.   Install 7.2 with both kde and gnome.  (I don't think this is
significant, but our kickstart 
     also installs fvwm and olvwm and adds these choices to kdmrc)
2.   From the kdm login screen, start a session of type "kde".  Note that
.wmrc is owned
      by root and contains the string "kde"
3.   Exit from the session
4.   From the kdm login screen, enter the user name.  The previous session
is displayed
      kde - change the session type to gnome and start the session.  Note
that that
      .wmrc is still owned by root and contains "kde"
5.    Exit from the session
6.    From the kdm login screen, enter the user name.  The previous session
is again
      displayed as kde


Actual Results:

The previous session is displayed as kde

Expected Results:

The previous session was gnome, so that's what should have  been displayed

Additional Information:

Manually changing the ownerhsip on .wmrc from root to the specific user
fixes the problem - maybe whoever creates the .wmrc file in first place
needs to change ownership to 
the user instead of leaving it owned by root.
Comment 1 Ngo Than 2004-10-07 16:21:08 EDT
it's fixed in RHEL3 adn FC2 current release.

Note You need to log in before you can comment on or make changes to this bug.